/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.sequencedmapexample;

import java.util.LinkedHashMap;
import java.util.Map;
import java.util.SequencedMap;

/**
 *
 * @author omozegieaziegbe
 */
public class SequencedMapExample {

    public static void main(String[] args) {

        SequencedMap<String, Integer> scores = new LinkedHashMap<>();
        scores.put("John", 95);
        scores.put("Omos", 82);
        scores.put("James", 72);

        System.out.println("" + scores.firstEntry()); // John=95 (prints the value of the first entry)
        System.out.println("" + scores.lastEntry()); // James=72 (prints the value of the last entry)

        System.out.println(scores); // prints {John=95, Omos=82, James=72}

        SequencedMap.Entry<String, Integer> first = scores.pollFirstEntry();   
        SequencedMap.Entry<String, Integer> last = scores.pollLastEntry();    

       
        System.out.println("Map contains: " + scores); // prints {Omos=82}

        scores.putFirst("Jerry", 75);     
        scores.putLast("Sarah", 80);    

        System.out.println(scores);  // {Jerry=75, Omos=82, Sarah=80}
        System.out.println(scores.reversed());   // {Sarah=80, Omos=82, Jerry=75}

    }
}
